com.amazon.redshift.jdbc

## Enum EscapeSyntaxCallMode

- java.lang.Object
- - java.lang.Enum<EscapeSyntaxCallMode>
  - - com.amazon.redshift.jdbc.EscapeSyntaxCallMode

All Implemented Interfaces:
  Serializable, Comparable<EscapeSyntaxCallMode>

    public enum EscapeSyntaxCallMode
    extends Enum<EscapeSyntaxCallMode>

Specifies whether a SELECT/CALL statement is used for the underlying SQL for JDBC escape call syntax: 'select' means to always use SELECT, 'callIfNoReturn' means to use CALL if there is no return parameter (otherwise use SELECT), and 'call' means to always use CALL.

See Also:
  `RedshiftProperty.ESCAPE_SYNTAX_CALL_MODE`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CALL`
`CALL_IF_NO_RETURN`
`SELECT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EscapeSyntaxCallMode` `of(String mode)`
`String` `value()`
`static EscapeSyntaxCallMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EscapeSyntaxCallMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SELECT

    public static final EscapeSyntaxCallMode SELECT

#### CALL_IF_NO_RETURN

    public static final EscapeSyntaxCallMode CALL_IF_NO_RETURN

#### CALL

    public static final EscapeSyntaxCallMode CALL

### Method Detail

#### values

    public static EscapeSyntaxCallMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EscapeSyntaxCallMode c : EscapeSyntaxCallMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EscapeSyntaxCallMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static EscapeSyntaxCallMode of(String mode)

#### value

    public String value()